%define		beta beta1
Version:	1.6.0
Name:		mixxx
Release:	alt1
Summary:	Digital DJ'ing for all
License: 	GPLv2
Group: 		Sound
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://mixxx.sourceforge.net/
Source0:	http://kent.dl.sourceforge.net/sourceforge/mixxx/%name-%version-%beta-src.tar.gz
Patch0:		%name-1.6.0-alt_dirs.diff
Patch1:		%name-1.6.0-desktop.diff

# Automatically added by buildreq on Fri Jan 04 2008 (-bi)
BuildRequires: ImageMagick gcc-c++ ladspa_sdk libSM-devel libXcursor-devel libXinerama-devel libXrandr-devel libid3tag-devel libmad-devel libmesa-devel libportaudio2-devel libqt4-devel libqt4-opengl libsndfile-devel libvorbis-devel scons

%description
Mixxx is an open source DJ tool designed for both
professional and amateur DJs alike.

Mixxx allows DJs to mix music live with a clean,
simple interface. Futhermore, Mixxx has a number of
key features to help DJs in the mix: Beat estimation,
parallel visual displays, and support for various DJ
hardware controllers.

%prep
%setup -q -n %name-%{version}%beta
%patch0 -p1
%patch1 -p1

%build
%__subst 's|-pipe -Wall|%optflags|g' src/SConscript
scons ladspa=1 prefix="%_prefix"

%install
export BUILDROOT="%buildroot"
export VERS="%version"
./install.pl

# Icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 16x16 src/icon.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 src/icon.png %buildroot%_niconsdir/%name.png
convert -resize 48x48 src/icon.png %buildroot%_liconsdir/%name.png

# Menu
%__install -Dp -m 0644 src/%name.desktop %buildroot%_desktopdir/%name.desktop

%post
%update_menus

%preun
%clean_menus

%files
%_docdir/%name-%version
%_bindir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Jan 04 2008 Motsyo Gennadi <drool@altlinux.ru> 1.6.0-alt1
- initial build for ALT Linux
